#pragma once

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @brief 向调用者名单中添加软件
 * @param name[in] 软件名称或者文件的绝对路径
 * @return 0: 成功，其他: 失败
 */
int kysec_scene_accessctl_add_caller(const char *name);

/**
 * @brief 从调用者名单中删除软件
 * @param name[in] 软件名称或者文件的绝对路径
 * @return 0: 成功，其他: 失败
 */
int kysec_scene_accessctl_remove_caller(const char *name);

/**
 * @brief 向被调用者名单中添加文件
 * @param name[in] 文件的绝对路径
 * @return 0: 成功，其他: 失败
 */
int kysec_scene_accessctl_add_callee(const char *file_path);

/**
 * @brief 从被调用者名单中删除文件
 * @param name[in] 文件的绝对路径
 * @return 0: 成功，其他: 失败
 */
int kysec_scene_accessctl_remove_callee(const char *file_path);

/**
 * @brief 获取调用者名单中所有的内容
 * @param count[out] 名单中调用者的数量
 * @return 所有的调用者。非null：成功 null：失败
 *        调用者需要使用free释放返回值
 */
char **kysec_scene_accessctl_get_all_caller(int *count);

/**
 * @brief 获取被调用者名单中的所有内容
 * @param count[out] 名单中被调用者的数量
 * @return 所有的被调用者。非null：成功 null：失败
 *        调用者需要使用free释放返回值
 */
char **kysec_scene_accessctl_get_all_callee(int *count);

#ifdef __cplusplus
}
#endif
