#pragma once

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @brief 根据路径添加进程防杀死
 * @param path 文件绝对路径
 * @return 0:成功 其他:失败
 */
int kysec_scene_taskctl_add_by_path(const char *path);

/**
 * @brief 根据路径删除进程防杀死
 * @param path 文件绝对路径
 * @return 0:成功 其他:失败
 */
int kysec_scene_taskctl_remove_by_path(const char *path);

/**
 * @brief 根据进程id添加进程防杀死
 * @param pid  进程pid
 * @return 0:成功 其他:失败
 *
 */
int kysec_scene_taskctl_add_by_pid(int pid);

/**
 * @brief 根据进程id删除进程防杀死
 * @param pid  进程pid
 * @return 0:成功 其他:失败
 *
 */
int kysec_scene_taskctl_remove_by_pid(int pid);

/**
 * @brief 获取下发的进程保护策略
 * @param count 个数
 * @return 字符串数组  NULL:无数据
 *         调用者使用完需要手动释放内存
 */
char **kysec_scene_taskctl_get_policy(int *count);

#ifdef __cplusplus
}
#endif
